🔗 REST APIOHLCV
Historical data by exchange
Get OHLCV timeseries data returned in time ascending order. Data can be requested by the period and for the specific exchange eg BITSTAMP
The OHLCV Historical endpoint data can be delayed a few seconds. Use OHLCV real-time data stream to get data without delay. The difference between time_end and time_start cannot be higher than 1 day. The period_id cannot be higher than 1DAY.
Authorization<token>
API Key is required to access the endpoints
In: header
Path Parameters
exchange_id*string
Exchange identifier of requested timeseries (from the Metadata -> Exchanges)
Query Parameters
period_id*string
Identifier of requested timeseries period (e.g. 5SEC or 1DAY)
time_start*string
Timeseries starting time in ISO 8601
time_end*string
Timeseries ending time in ISO 8601
Response Body
curl -X GET "https://example.com/v1/ohlcv/exchanges/string/history?period_id=string&time_start=string&time_end=string"[ { "time_period_start": "2019-08-24T14:15:22Z", "time_period_end": "2019-08-24T14:15:22Z", "time_open": "2019-08-24T14:15:22Z", "time_close": "2019-08-24T14:15:22Z", "price_open": 0, "price_high": 0, "price_low": 0, "price_close": 0, "volume_traded": 0.1, "trades_count": 0, "symbol_id_exchange": "string", "symbol_id_coinapi": "string" }]